VST 3 Examples: ScaledParameter Class Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ScaledParameter Class Reference

`#include <mdaParameter.h>`

Inheritance diagram for ScaledParameter:

## Public Member Functions
| ScaledParameter (const TChar *title, const TChar *units, int32 stepCount, ParamValue defaultValueNormalized, int32 flags, int32 tag, ParamValue minValue=0., ParamValue maxValue=1., bool printAsInteger=false, UnitID unitID=kRootUnitId)
ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
Public Member Functions inherited from BaseParameter
| BaseParameter (const TChar *title, const TChar *units, int32 stepCount, ParamValue defaultValueNormalized, int32 flags, int32 tag, UnitID unitID=kRootUnitId)
bool | setNormalized (ParamValue v) SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=kStepCountContinuous, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
virtual ParameterInfo & | getInfo ()
virtual void | setUnitID (UnitID id)
virtual UnitID | getUnitID ()
ParamValue | getNormalized () const
virtual int32 | getPrecision () const
virtual void | setPrecision (int32 val)

## Protected Attributes
ParamValue | minValue
ParamValue | maxValue
bool | printAsInteger

## Additional Inherited Members
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Constructor & Destructor Documentation

## ◆ ScaledParameter()

ScaledParameter | ( | const TChar * | title,
|  | const TChar * | units,
|  | int32 | stepCount,
|  | ParamValue | defaultValueNormalized,
|  | int32 | flags,
|  | int32 | tag,
|  | ParamValue | minValue = 0.,
|  | ParamValue | maxValue = 1.,
|  | bool | printAsInteger = false,
|  | UnitID | unitID = kRootUnitId )

## Member Function Documentation

## ◆ toPlain()

ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| virtual

Reimplemented from Parameter.

## ◆ toNormalized()

ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| virtual

Reimplemented from Parameter.

## ◆ toString()

void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string ) const
| virtual

Reimplemented from Parameter.

## ◆ fromString()

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized ) const
| virtual

Reimplemented from BaseParameter.

## Member Data Documentation

## ◆ minValue

ParamValue minValue
| protected

## ◆ maxValue

ParamValue maxValue
| protected

## ◆ printAsInteger

bool printAsInteger
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.